GrailsBootstrapClass (Grails 6.0.0)

Package: grails.web.servlet.bootstrap

## [Java] Interface GrailsBootstrapClass

- grails.core.support.GrailsApplicationAware

- All Superinterfaces:
    GrailsClass, GrailsApplicationAware

      public interface GrailsBootstrapClass
      extends GrailsClass

  Loaded and executed on application load.

  Authors:
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `callDestroy()` Calls the destroy closure if one exists.
    `` | `public void` | `callInit(javax.servlet.ServletContext servletContext)` Calls the init closure if one exists.
    `` | `public groovy.lang.Closure` | `getDestroyClosure()` Returns the destroy closure which is called on application exit.
    `` | `public groovy.lang.Closure` | `getInitClosure()` Returns the init closure which is called on application load.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPluginName, getPropertyName, getPropertyValue, getPropertyValue, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance`
    `interface GrailsApplicationAware` | `setGrailsApplication`

- - ### Method Detail

    - #### public void callDestroy()

      Calls the destroy closure if one exists.

    - #### public void callInit(javax.servlet.ServletContext servletContext)

      Calls the init closure if one exists.

    - #### @java.lang.SuppressWarnings("rawtypes") public groovy.lang.Closure getDestroyClosure()

      Returns the destroy closure which is called on application exit.

      Returns:
        A Closure instance

    - #### @java.lang.SuppressWarnings("rawtypes") public groovy.lang.Closure getInitClosure()

      Returns the init closure which is called on application load.

      Returns:
        A Closure instance